Get Mandate Status
curl --request GET \
--url 'https://api.nomba.com/v1/direct-debits/status?mandateId={mandateId}' \
--header 'Authorization: Bearer <token>' \
--header 'accountId: <accountid>'import requests
url = "https://api.nomba.com/v1/direct-debits/status?mandateId={mandateId}"
headers = {
"accountId": "<accountid>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {accountId: '<accountid>', Authorization: 'Bearer <token>'}
};
fetch('https://api.nomba.com/v1/direct-debits/status?mandateId={mandateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"description": "SUCCESS",
"data": {
"customerAccountName": "Kolapo Ojo",
"mandateId": "c93e1e1b-85f5-461e-8b9b-74ee091d4aa4",
"customerAccountNumber": "80793414434",
"mandateStatus": "Active",
"rejectionComment": "Expired e-mandate",
"mandateAdviceStatus": "Advise not sent"
},
"message": "SUCCESS",
"status": true
}Direct Debits
Get Mandate Status
Fetches the status of a specific mandate by mandateId.
GET
/
v1
/
direct-debits
/
status?mandateId=
{mandateId}
Get Mandate Status
Authorizations
Nomba authenticates API calls with OAuth2 HTTP bearer tokens. There are two methods of authentication; Client-Credentials method and PKCE (Proof Key for Code Exchange) method. In each of the methods, You will get an ACCESS_TOKEN. You need to use an "Authorization" HTTP header to provide your ACCESS_TOKEN. For example: Authorization: {ACCESS_TOKEN}.
Headers
The vendor account ID
Query Parameters
Unique identifier of the mandate